aboutsummaryrefslogtreecommitdiffstats
path: root/main/mt-st
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2010-11-08 16:14:20 +0000
committerLeonardo Arena <rnalrd@gmail.com>2010-11-08 16:14:20 +0000
commite704264a2bd77e740ab89bc9ffb5cb5068ec82a1 (patch)
tree54da92158e17ba736bdcb508b0a74d69318f09b2 /main/mt-st
parent22f61213e35075f12dca3511ad2b061664eb9ea5 (diff)
downloadaports-e704264a2bd77e740ab89bc9ffb5cb5068ec82a1.tar.gz
aports-e704264a2bd77e740ab89bc9ffb5cb5068ec82a1.tar.bz2
aports-e704264a2bd77e740ab89bc9ffb5cb5068ec82a1.tar.xz
main/mt-st: new aport
Diffstat (limited to 'main/mt-st')
-rw-r--r--main/mt-st/APKBUILD40
-rw-r--r--main/mt-st/mt-st.post-deinstall3
2 files changed, 43 insertions, 0 deletions
diff --git a/main/mt-st/APKBUILD b/main/mt-st/APKBUILD
new file mode 100644
index 0000000000..617e0bf9c4
--- /dev/null
+++ b/main/mt-st/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=mt-st
+pkgver=1.1
+pkgrel=0
+pkgdesc="Linux SCSI tape driver aware magnetic tape control"
+url="http://www.ibiblio.org/pub/linux/system/backup/"
+license="GPL2"
+depends=
+makedepends=
+install="$pkgname.post-deinstall"
+subpackages="$pkgname-doc"
+source="http://www.ibiblio.org/pub/linux/system/backup/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+#prepare() {
+# cd "$_builddir"
+# # apply patches here
+#}
+
+build() {
+ cd "$_builddir"
+# ./configure --prefix=/usr \
+# --sysconfdir=/etc \
+# --mandir=/usr/share/man \
+# --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ for dir in sbin bin usr/share/man/man1 usr/share/man/man8
+ do
+ mkdir -p $pkgdir/$dir || return 1
+ done
+ make SBINDIR=$pkgdir/sbin BINDIR=$pkgdir/bin \
+ MANDIR=$pkgdir/usr/share/man install || return 1
+}
+
+md5sums="fdd5f5ec673c9f630a102ceff7612774 mt-st-1.1.tar.gz"
diff --git a/main/mt-st/mt-st.post-deinstall b/main/mt-st/mt-st.post-deinstall
new file mode 100644
index 0000000000..99b57c4635
--- /dev/null
+++ b/main/mt-st/mt-st.post-deinstall
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+busybox --install -s